/* GLOBAL STYLES */
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}


/* COLOUR SCHEME STYLES */
.mui-primary-color {
	color: #004C93
}


/* ELEMENT/STANDARD STYLES */
p {
  word-break: normal;
}

::placeholder {
  font-size: 0.75rem;
  font-family: inherit;
}

button:disabled, input[type=button]:disabled,
button[disabled]{
  background-color: #EEEEEE;
  color: #333333;
  cursor: default;
}

button:disabled:hover, input[type=button]:disabled:hover {
  background-color: #EEEEEE;
  cursor: default;
}

input[type="radio"]:checked {
  background-color: #004C93;
}


/* SPACING STYLES */
.mui-pt-1 {
	padding-top: 1rem;
}

.mui-pb-1 {
	padding-bottom: 1rem;
}

.mui-pl-1 {
	padding-left: 1rem;
}

.mui-pr-1 {
  padding-right: 1rem;
}

.mui-mt-1 {
	margin-top: 1rem;
}

.mui-mb-1 {
	margin-bottom: 1rem;
}

.mui-ml-1 {
	margin-left: 1rem;
}

.mui-mr-1 {
	margin-right: 1rem;
}

.mui-pt-2 {
	padding-top: 2rem;
}

.mui-pb-2 {
	padding-bottom: 2rem;
}

/* WRONG */
.mui-pl-2 {
	margin-left: 2rem;
}

/* WRONG */
.mui-pr-2 {
	margin-right: 2rem;
}

.mui-mt-2 {
	margin-top: 2rem;
}

.mui-mb-2 {
	margin-bottom: 2rem;
}

.mui-ml-2 {
	margin-left: 2rem;
}

.mui-mr-2 {
	margin-right: 2rem;
}

.mui-mb-half {
  margin-bottom: 0.5rem;
}

.mui-float-right {
  float: right;
}

.mui-float-left {
  float: left;
}

.mui-ml-auto {
  margin-left: auto;
}

.mui-mr-auto {
  margin-right: auto;
}


/*GENERIC ALIGNMENT STYLES */
.mui-align-vertical-center {
	margin-top: auto;
	margin-bottom: auto;
}

.mui-text-align-center {
	text-align: center;
}


/* CONTAINER STYLES */
.mui-flex {
  display: flex;
}

.mui-container-flex-standard {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.mui-flex-container-standard {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.mui-container-flex-left {
	width: 100%;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: flex-start;
}

.mui-container-flex-left-column {
	width: 100%;
	display: flex;
	flex-direction: column;
}

.mui-container-flex-align-right {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

.mui-align-right-container {
  display: flex;
  justify-content: flex-end;
}

.mui-container-flex-column {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.mui-flex-center {
  width: 100%;
  text-align: center;
  padding-top: 0.25rem;
}

.mui-container-responsive {
  display: flex;
  justify-content: flex-end;
}


/* VISIBILITY STYLES */
.mui-visible {
	display: block;
}

.mui-hidden {
	display: none;
}

.mui-clickable {
	cursor: pointer;
}


/* STATUS STYLING */
.mui-success {
	background-color: #C8E6C9;
}

.mui-info {
	background-color: #BBDEFB;
}

.mui-error {
	background-color: #FFCDD2;
}

.mui-warning {
	background-color: #FFF176;
}

.mui-completed {
  color: #007700;
}

.mui-pending {
  color: #E36C09;
}

.mui-text-warning {
  color: #E36C09;
  font-size: 0.75rem;
}

.mui-text-success {
  color: #007700;
  font-size: 0.75rem;
}

.mui-incorrect-input {
	color: #FF0000;
}


/* ICON STYLES */
.mui-panel-icon {
	font-size: 1rem;
	color: #424242;
}

.mui-icon {
	font-size: 1rem;
}

.mui-icon-color-standard {
	color: #424242;
}


/* TEXT STYLES */
.mui-text-body-bold {
	color: unset;
	font-size: 0.75rem;
	font-weight: bold;
}

.mui-text-body-standard {
	font-size: 0.75rem;
}

.mui-text-heading-four {
  font-size: 0.875rem;
  font-weight: bold;
}


/* BUTTON STYLES */
.mui-button-row {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.mui-button-default {
  background-color: transparent;
  height: 3rem;
  width: fit-content;
  padding: 0 1rem;
  border-radius: 2px;
  text-align: center;
  color: #004C93;
  text-transform: uppercase;
  font-weight: bold;
  border: none;
  font-size: 0.75rem;
  cursor: pointer;
  font-family: inherit;
}

.mui-button-disabled {
	background-color: #EEEEEE;
	height: 3rem;
	width: fit-content;
	padding: 0 1rem;
	border-radius: 2px;
	text-align: center;
	color: #333333;
	text-transform: uppercase;
	font-weight: bold;
	border: none;
	font-size: 0.75rem;
	cursor: default;
	font-family: inherit;
}

.mui-button-disabled:hover {
  background-color: #EEEEEE;
}

.mui-button-primary-action {
	background-color: #004C93;
	height: 3rem;
	width: fit-content;
	padding: 0 1rem;
	border-radius: 2px;
	text-align: center;
	color: #FFFFFF;
	text-transform: uppercase;
	font-weight: bold;
	border: none;
	font-size: 0.75rem;
	cursor: pointer;
}

.mui-button-primary-action:hover {
	transition: 0.25s ease-in;
	opacity: 0.9;
}

.mui-button-primary-action:active {
	opacity: 0.5;
}

.mui-button-default:hover {
  background-color: rgba(0, 76, 147, 0.1);
  transition: 0.25s ease-in;
}

.mui-button-default:active {
  opacity: 0.5;
}

.mui-button-action {
  text-transform: capitalize;
  border: none;
  background-color: transparent;
  cursor: pointer;
  font-family: inherit;
  font-weight: bold;
  font-size: 0.75rem;
  color: #004C93;
}

.mui-button-action:hover {
  text-decoration: underline;
  text-decoration-thickness: 2px;
}


/* INPUT STYLES */
.mui-input-incomplete {
	background: repeating-linear-gradient(90deg, #EBEBEB 0, #EBEBEB 1ch, transparent 0, transparent 1.5ch) 0 100%/8.5ch 2px no-repeat;
}

.mui-input-complete {
	background: repeating-linear-gradient(90deg, #004C93 0, #004C93 1ch, transparent 0, transparent 1.5ch) 0 100%/8.5ch 2px no-repeat;
}


/* SNACKBAR STYLES */
.mui-snackbar {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 1rem;
	border: 1px solid #FFFFFF;
	width: 90%;
	height: 5rem;
	position: fixed;
	top: 0;
}


/* AVATAR STYLES */
.mui-avatar-initials-filled,
.mui-avatar-initials-outlined {
  height: 3rem;;
  width: 3rem;
  border-radius: 50px;
  position: relative;
}

.mui-avatar-initials-filled {
  background-color: #424242;
}

.mui-avatar-initials-outlined {
  border: 1px solid #424242;
  background-color: #FFFFFF;
}

.mui-avatar-initials-filled-text,
.mui-avatar-initials-outlined-text {
  font-size: 1.25rem;
  font-weight: bold;
  position: absolute;
  top: 25%;
  left: 20%;
}

.mui-avatar-initials-filled-text {
  color: #FFFFFF;
}

.mui-avatar-initials-outlined-text {
  color: #424242;
}


/* SIDEBAR STYLES */
.mui-sidebar-hidden {
  display: none;
  width: 40px;
  background-color: #eaeaea;
  text-align: center;
  padding-top: 20px;
}

.mui-sidebar {
 width: 25%;
 background-color: #ffffff;
 padding: 20px;
}

.mui-sidebar-close-icon {
  cursor: pointer;
  float: right;
}


/* DOWNLOAD CONTAINER STYLES */
.mui-download-container {
  display:none;
  padding:0px 10px 20px 10px;
 }

.mui-download-container-link {
  text-decoration: none;
}

.mui-download-container-link-icon {
  height: 40px;
  vertical-align: middle;
}


/* RADIO INPUT STYLES */
.mui-hide-radio {
  position: fixed;
  opacity: 0;
  pointer-events: none;
}

.mui-radio-question,
.mui-radio-label {
  font-size: 0.75rem;
}

.mui-radio-label {
  margin-left: 1rem;
  display: block;
}

.mui-radio-input {
  float: left;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 1rem;
  height: 1rem;
  padding: 2px;
  background-clip: content-box;
  border: 2px solid #004C93;
  border-radius: 50%;
  cursor: pointer;
}


/* TEXT AREA STYLES */
.mui-textarea-label {
  font-size: 0.75rem;
  color: #9E9E9E;
 }

 .mui-textarea {
  background-color: inherit;
  width: 100%;
  height: 7rem;
  padding: 12px 20px;
  margin: 8px 0 0 0;
  resize: none;
  box-sizing: border-box;
  border: none;
  border-bottom: 1px solid #E0E0E0;
  font-family: inherit;
}

.mui-textarea:hover {
  transition: 0.25s ease-in;
  background-color: #FFFFFF;
}

.mui-textarea:focus {
  transition: 0.25s ease-in;
  outline: none;
  background-color: #FFFFFF;
  box-shadow: 0 0 0 1px rgba(66, 66, 66, 0.1);
}


 /* LINKS STYLES */
 .mui-links-container {
  display: flex;
  flex-direction: column;
}

.mui-links {
  cursor: pointer;
  line-height: 2.25rem;
  text-decoration: none;
  padding-left: 1rem;
  font-size: 0.75rem;
}

.mui-links:hover {
  background-color: #EEEEEE;
}


/* TAB/TABLINKS STYLES */
.mui-tab {
  background-color: #FFFFFF;
  height: 3rem;
}

.mui-tablinks {
  display: inline-block;
  width: 100%;
  height: 100%;
  padding-top: 0.25rem;
  cursor: pointer;
  text-transform: uppercase;
  font-size: 0.75rem;
  text-align: center;
}

.mui-tablinks-selected {
  font-weight: bold;
  color: #004C93;
  position: relative;
}

.mui-tablinks-unselected {
  font-weight: normal;
  color: #9E9E9E;
}

.mui-tablinks-selected::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: #004C93;
}


/* HR STYLES */
.mui-hr-break {
  color: #E0E0E0;
  height: 1px;
  width: 100%;
  border-width: 0;
  background-color: #E0E0E0;
}

/*************************************************************************************************/
/* NEW CODE ADDED FOR REGISTER REPORTING */
.mui-align-items-start {
  align-items: start;
}

.mui-align-center {
  display: flex;
  justify-content: center;
}

.mui-flex-basic-row {
  display: flex;
  flex-direction: row;
}

.mui-flex-basic-column {
  display: flex;
  flex-direction: column;
}

.mui-panel-title {
  display: flex;
  align-items: center;
}

.mui-hr-break-short {
  color: #E0E0E0;
  margin-left: auto;
  margin-right: auto;
  height: 1px;
  width: 75%;
  border-width: 0;
  background-color: #E0E0E0;
}

.mui-text-align-left {
  text-align: left;
}

.mui-mr-half {
  margin-right: 0.5rem;
}

.mui-pl-5 {
  padding-left: 5rem;
}

.mui-container-flex-row {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.mui-text-color-light {
  color: #FFFFFF;
}
.mui-text-color-dark {
  color: #333333;
}

/* STEPPER STYLING */
.mui-stepper-container {
  width: 50%;
  background-color: #FFFFFF;
  display: inline-block;
}

.mui-step-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 1rem;
  position: relative;
  width: 12rem;
}

.mui-step-container:not(:last-child)::after {
  height: 0.05rem;
  width: 8rem;
  background-color: #9E9E9E;
  content: "";
  position: absolute;
  top: 25%;
  left: 75%;
}

.mui-step-bullet {
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  position: relative;
}

.mui-step-bullet>span {
  position: absolute;
  top: 15%;
  left: 40%;
  font-size: 1rem;
  font-weight: 700;
}

.mui-step-content-container {
  width: 50%;
  background-color: #FFFFFF;
  display: inline-block;
  max-height: 30rem;
  overflow-y: auto;
}

.mui-step-complete {
  background-color: #004C93;
}

.mui-step-complete>span {
  color: #FFFFFF;
}

.mui-step-incomplete {
  border: 2px solid var(--blue);
  background-color: #9E9E9E;
}

.mui-step-incomplete>span {
  color: #FFFFFF;
}

/* BUTTON ICON STYLING */
.mui-button-icon {
  width: 12rem;
  height: 6rem;
  border-radius: 0;
  border: none;
  background-color: #E0E0E0;
}

.mui-button-icon-selected {
  background-color: #333333;
}

.mui-button-icon-unselected {
  background-color: #E0E0E0;
}

.mui-button-icon:hover {
  background-color: #9E9E9E;
}

.mui-button-icon:active {
  opacity: 0.7;
}

/* DIALOG BOX STYLING */
.mui-dialog-outer-background {
  position: fixed;
  padding: 0;
  margin: 0;
  top:0;
  left:0;
  width: 100%;
  height: 100%;
  background-color: #424242;
  opacity: 0.7;
}

.mui-dialog-container {
  position: fixed;
  top: 15%;
  left: 0;
  transform: translate(calc(50vw - 50%));
  text-align: center;
  width: 100%;
  z-index: 1;
}


/* TEXTFIELD STYLING */
.mui-textfield-container {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.mui-textfield-label {
  align-self: flex-start;
  margin-right: 0.5rem;
  margin-bottom: 0.1rem;
  display: block;
}

.mui-textfield {
  width: 100%;
  height: 30px;
  margin-bottom: 1rem;
  box-sizing: border-box;
  border: 2px solid #E0E0E0;
  border-radius: 0px;
  /* font-size: 1rem; */
  box-sizing: border-box;
  /* -webkit-transition: 0.5s;
  transition: 0.5s; */
  outline: none;
  padding: 12px 20px 12px 10px;
  transition: width 0.4s ease-in-out;
}

.mui-textfield:focus {
  border: 3px solid #333333;
}


/* LIST ITEM STYING */
.mui-list-item-container {
  margin: auto;
  width: 90%;
  border-bottom: 2px solid #E0E0E0;
}

.mui-list-item-line-vertical {
  border-left: 2px solid #E0E0E0;
  height: 2rem;
  margin-top: auto;
  margin-bottom: auto;
}

.mui-list-item-number-container {
  height: 2rem;
  width: 2rem;
  border: 2px solid #E0E0E0;
  margin-top: auto;
  margin-bottom: auto;
}

.mui-list-item-number {
  position: relative;
  top: 25%;
  left: 25%;
  font-weight: bold;
}

.mui-list-item-text-container {
  width: inherit;
  display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.mui-mt-5 {
  margin-top: 5rem;
}

.mui-pb-half {
  padding-bottom: 0.5rem;
}

.mui-pt-half {
  padding-top: 0.5rem;
}

.mui-mb-5 {
  margin-bottom: 5rem;
}